*{
    box-sizing: border-box;
    margin: 0;
} 
.calculator {
    max-width: 400px;
    margin: auto;
    padding: 20px;
    border: 2px solid black;
    background-color: rgb(225, 221, 221);
    box-shadow: 0 2px 5px rgba(0, 0, 0.3);
    border-radius: 5px;
    margin-top: 50px;
}
#result {
    width: 100%;
    height: 50px;
    font-size: 24px;
    border: 1px solid black;
    box-shadow: 0 2px 5px rgba(0, 0, 0.3) inset;
    border-radius: 5px;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.buttons {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
    margin-top: 20px;
}
button {
    padding: 20px;
    font-size: 24px;
    border: none;
    box-shadow: 0 2px 5px rgba(0, 0, 0.3) inset;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
button:hover {
    background-color: #ddd;
}
.number, .dot {
    background-color: white;
    color: black;
}
.clear {
    background-color: red;
    color:black;
}
.clear:hover {
    background-color: rgb(249, 8, 8);
    color:black;
}
.opertator {
    background-color: rgb(50, 113, 237);
    color: white;
}
.opertator:hover {
    background-color: rgb(46, 112, 244);
    color: white;
}
.equals {
    background-color: rgb(40, 239, 40);
    color: black;
    grid-row: span 3;
}
.equals:hover {
    background-color: rgb(34, 246, 34);
    color: black;
    grid-row: span 3;
}
